### io_service::id

Class used to uniquely identify a service.

    class id :
      noncopyable

##### Member Functions

Name | Description
--- | ---
id | Constructor.

##### Requirements

Header: `asio/io_service.hpp`

Convenience header: `asio.hpp`

| Copyright © 2003-2015 Christopher M. Kohlhoff Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)